Skip to main content
POST
/
cursor
/
v1beta
/
models
/
{model}
Error
A valid request URL is required to generate request examples
{
  "candidates": [
    {
      "content": {
        "parts": [
          {
            "text": "<string>",
            "thought": true,
            "thoughtSignature": "aSDinaTvuI8gbWludGxpZnk=",
            "inlineData": {
              "mimeType": "<string>",
              "data": "aSDinaTvuI8gbWludGxpZnk=",
              "displayName": "<string>"
            },
            "fileData": {
              "mimeType": "<string>",
              "fileUri": "<string>",
              "displayName": "<string>"
            },
            "functionCall": {
              "id": "<string>",
              "name": "<string>",
              "args": {}
            },
            "functionResponse": {
              "id": "<string>",
              "name": "<string>",
              "response": {},
              "willContinue": true,
              "scheduling": "<string>"
            },
            "executableCode": {
              "language": "<string>",
              "code": "<string>"
            },
            "codeExecutionResult": {
              "output": "<string>"
            },
            "videoMetadata": {
              "fps": 123,
              "startOffset": "<string>",
              "endOffset": "<string>"
            }
          }
        ]
      },
      "finishMessage": "<string>",
      "tokenCount": 123,
      "safetyRatings": [
        {
          "category": "<string>",
          "probability": "<string>",
          "probabilityScore": 123,
          "severity": "<string>",
          "severityScore": 123,
          "blocked": true,
          "overwrittenThreshold": "<string>"
        }
      ],
      "citationMetadata": {},
      "index": 123,
      "groundingMetadata": {},
      "urlContextMetadata": {
        "urlMetadata": [
          {
            "retrievedUrl": "<string>",
            "urlRetrievalStatus": "<string>"
          }
        ]
      },
      "avgLogprobs": 123,
      "logprobsResult": {
        "chosenCandidates": [
          {
            "token": "<string>",
            "tokenId": 123,
            "logProbability": 123
          }
        ],
        "topCandidates": [
          {
            "candidates": [
              {
                "token": "<string>",
                "tokenId": 123,
                "logProbability": 123
              }
            ]
          }
        ]
      }
    }
  ],
  "promptFeedback": {
    "blockReason": "<string>",
    "blockReasonMessage": "<string>",
    "safetyRatings": [
      {
        "category": "<string>",
        "probability": "<string>",
        "probabilityScore": 123,
        "severity": "<string>",
        "severityScore": 123,
        "blocked": true,
        "overwrittenThreshold": "<string>"
      }
    ]
  },
  "usageMetadata": {
    "promptTokenCount": 123,
    "candidatesTokenCount": 123,
    "totalTokenCount": 123,
    "cachedContentTokenCount": 123,
    "thoughtsTokenCount": 123,
    "toolUsePromptTokenCount": 123,
    "trafficType": "<string>",
    "cacheTokensDetails": [
      {
        "modality": "<string>",
        "tokenCount": 123
      }
    ],
    "candidatesTokensDetails": [
      {
        "modality": "<string>",
        "tokenCount": 123
      }
    ],
    "promptTokensDetails": [
      {
        "modality": "<string>",
        "tokenCount": 123
      }
    ],
    "toolUsePromptTokensDetails": [
      {
        "modality": "<string>",
        "tokenCount": 123
      }
    ]
  },
  "modelVersion": "<string>",
  "responseId": "<string>",
  "createTime": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

model
string
required

Model name optionally followed by an action suffix.

Body

application/json
model
string

Model field for explicit model specification

contents
object[]

Content for the model to process

systemInstruction
object

System instruction for the model

generationConfig
object
safetySettings
object[]
tools
object[]
toolConfig
object
cachedContent
string

Cached content resource name

labels
object

Labels for the request

requests
object[]

Batch embedding requests

fallbacks
string[]

Response

200 - application/json

Successful response

candidates
object[]
promptFeedback
object
usageMetadata
object
modelVersion
string

The model version used to generate the response

responseId
string

Response ID for identifying each response (encoding of event_id)

createTime
string<date-time>

Timestamp when the request was made to the server